import { Meta, Story, ArgsTable, Canvas } from '@storybook/addon-docs/blocks'
import mockList from 'tests/mocks/asset-list'
import AssetListItem from './AssetListItem'

<Meta title="components/asset-list/item" component={AssetListItem} />

# Asset list item

Asset list item

<Canvas withToolbar>
  <Story name="Asset list item">
    {mockList.map(asset => (
      <AssetListItem {...asset} />
    ))}
  </Story>
</Canvas>

### Properties

<ArgsTable of={AssetListItem} />
